// copyright => http://www.jxml.com/mdsax/License.txt

package com.jxml.quick;

public class QBaseFilter
{
    boolean started=false;
    boolean ended=false;

    public void startDocument()
	throws QPE
    {
	started=true;
	ended=false;
    }
    
    public void endDocument()
	throws QPE
    {
	ended=true;
	started=false;
    }
    
    public void startElement(String name)
	throws QPE
    {
	started=false;
    }
    
    public void endElement(String name, String text, boolean cdata)
	throws QPE
    {
 	started=false;
    }

    public void walk(Object object, QContext outputContext)
	throws QPE
    {
    }
}
